/* -*- C++ -*- */
//
// be_visitor_valuetype_fwd.h,v 1.2 2001/12/31 17:34:42 parsons Exp
//

// ============================================================================
//
// = LIBRARY
//    TAO IDL
//
// = FILENAME
//    be_visitor_valuetype_fwd.h
//
// = DESCRIPTION
//    Concrete visitor for the valuetype_fwd class
//
// = AUTHOR
//    Torsten Kuepper  <kuepper2@lfa.uni-wuppertal.de>
//    based on code from Aniruddha Gokhale (be_visitor_interface_fwd.h)
//
// ============================================================================

#ifndef TAO_BE_VISITOR_VALUETYPE_FWD_H
#define TAO_BE_VISITOR_VALUETYPE_FWD_H

#include "be_visitor.h"
#include "be_visitor_scope.h"

#include "be_visitor_valuetype_fwd/valuetype_fwd_ch.h"
#include "be_visitor_valuetype_fwd/valuetype_fwd_ci.h"
#include "be_visitor_valuetype_fwd/cdr_op_ch.h"
#include "be_visitor_valuetype_fwd/cdr_op_ci.h"

#endif /* TAO_BE_VISITOR_VALUETYPE_FWD_H */
